import 'package:json_annotation/json_annotation.dart';

import '../../../apiParams.dart';

part 'authenticateParams.g.dart';

@JsonSerializable()
class AuthenticateParams extends ApiParams {

  String user;
  String password;

  AuthenticateParams({required this.user, required this.password});
  factory AuthenticateParams.fromJson(Map<String, dynamic> json) => _$AuthenticateParamsFromJson(json);

  Map<String, dynamic> toJson() => _$AuthenticateParamsToJson(this);
}